use bluer::{self, monitor::Monitor};

use anyhow::Result;

#[tokio::main]
async fn main() -> Result<()> {

    let session = bluer::Session::new().await?;

    let adapter = session.default_adapter().await?;

    adapter.set_powered(true).await?;

    let mm = adapter.monitor().await?;
    let handle = mm.register(Monitor::default()).await?;

    while let Some(evt) = handle.next().await {
        eprintln!("{}", evt);
    }

    Ok(())
}
